在centos5.3下安装GCC所必须的5个依赖包php json安装

 

在VM 下centos5.3下安装GCC所必须的5个依赖包

安装centos5.3,没有安装gcc,利用下载的安装DVD.iso,发现GCC所必须的5个依赖包为:

kernel-headers-2.6.18-128.el5.i386.rpm   
cpp-4.1.2-44.el5.i386.rpm     
libgomp-4.3.2-7.el5.i386.rpm                                                                  
                        
glibc-headers-2.5-34.i386.rpm  

glibc-devel-2.5-34.i386.rpm  

 

gcc-4.1.2-44.el5.i386.rpm

然后用centos5.3dvd.iso

进入centos目录 安装!

 

json 安装:
tar xvjf php-json-ext-1.2.0.tar.bz2

3.进入目录
cd php-json-ext-1.2.0

4.初始化PHP环境
phpize

报错了:phpize commend not found

需要安装phpize
这个可以在yum中安装
yum -y install php-devel

如果还不行,说明你的编译工具有问题,安装一下就可以了
yum -y install autoconf
yum -y install automake
yum -y install libtool

运行phpize
(成功了)

5../configure

6.make

7.makeinstall

8.查看有没有安装成功
find / -name '*json.so'

./usr/lib/php/modules/json.so
说明已经有了

9.修改php.ini
我的是在php.ini 中include一个文件夹 /etc/php.d

在这个文件中添一个json.ini
vim json.ini
内容如下:
extension=json.so

10.重启服务(service httpd restart)

11.phpinfo()中您将看到

json supportenabled
json version1.2.0

9.安装php扩展:
yum -y install php-gd php-xml php-mbstring php-ldap php-pear php-xmlrpc

  • 0
    点赞
  • 0
    评论
  • 0
    收藏
  • 一键三连
    一键三连
  • 扫一扫,分享海报

©️2021 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值